unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Grids, DBGrids, DB, ADODB;

type
  TForm1 = class(TForm)
    ADOQuery1: TADOQuery;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    Button1: TButton;
    Edit1: TEdit;
    chkSve: TCheckBox;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    procedure PrikaziSQL( aSQL: string);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
  sSQL: string;
begin
  sSQL := 'Select * from Person ';
  IF not chkSve.Checked then
    sSQL := Format('%s where IME LIKE %s ', [sSQL, QuotedStr('%'+Edit1.Text+'%')]);

  self.Caption := sSQL;

  self.PrikaziSQL(sSQL);
end;

procedure TForm1.PrikaziSQL( aSQL: string);
begin
  try
    self.ADOQuery1.SQL.Clear;
    self.ADOQuery1.SQL.Add( aSQL);
    self.ADOQuery1.Active := true;
  except
    On e: Exception do
      showmessage('PrikaziSQL:'+E.ClassName);
  end;
end;


procedure TForm1.FormCreate(Sender: TObject);
begin
  self.ADOQuery1.ConnectionString :=
    Format(
     'Provider=Microsoft.Jet.OLEDB.4.0;Data Source=%s\%s;Persist Security Info=False',
     [ExtractFilePath(Application.ExeName), 'SLOVA.mdb']);

  self.PrikaziSQL('select * from Person');
end;

end.

